<!doctype html>
<html>

<head>
  <meta name="generator" content="JSDoc 3.6.3">
  <meta charset="utf-8">
  <title>Class: Link</title>
  <link rel="stylesheet" href="https://brick.a.ssl.fastly.net/Karla:400,400i,700,700i" type="text/css">
  <link rel="stylesheet" href="https://brick.a.ssl.fastly.net/Noto+Serif:400,400i,700,700i" type="text/css">
  <link rel="stylesheet" href="https://brick.a.ssl.fastly.net/Inconsolata:500" type="text/css">
  <link href="css/baseline.css" rel="stylesheet">
</head>

<body onload="prettyPrint()">
  <nav id="jsdoc-navbar" role="navigation" class="jsdoc-navbar">
    <div id="jsdoc-navbar-container">
      <div id="jsdoc-navbar-content">
        <a href="index.html" class="jsdoc-navbar-package-name">Home</a>
      </div>
    </div>
  </nav>
  <div id="jsdoc-body-container">
    <div id="jsdoc-content">
      <div id="jsdoc-content-container">
        <div id="jsdoc-main" role="main">
          <header class="page-header">
            <div class="symbol-detail-labels"><span class="label label-kind">class</span></div>
            <h1><small></small><span class="symbol-name">Link</span></h1>
            <p class="source-link">Source: <a href="components_link_Link.js.html#source-line-6">components/<wbr>link/<wbr>Link.<wbr>js:6</a></p>
            <dl class="dl-compact">
            </dl>
          </header>
          <section id="summary">
          </section>
          <section>
            <h2 id="Link">new&nbsp;<span class="symbol-name">Link</span><span class="signature"><span class="signature-params">()</span></span></h2>
            <p>prosty link &lt;a/&gt;</p>
            <section>
              <h3>
                Example
              </h3>
              <div>
                <pre class="prettyprint"><code>&lt;Link href&#x3D;&quot;http://example.com&quot;&gt;
   &lt;img src&#x3D;&quot;http://placekitten.com/300/250&quot; /&gt;
&lt;/Link&gt;</code></pre>
              </div>
            </section>
            <section>
              <h3>Properties</h3>
              <table class="jsdoc-details-table">
                <thead>
                  <tr>
                    <th>Name</th>
                    <th>Type</th>
                    <th>Optional</th>
                    <th>Description</th>
                  </tr>
                </thead>
                <tbody>
                  <tr>
                    <td>
                      <p>props</p>
                    </td>
                    <td>
                      <p>object</p>
                    </td>
                    <td>
                      <p>&nbsp;</p>
                    </td>
                    <td>
                      <p>zestaw właściwości komponentu</p>
                      <p>Values in <code>props</code> have the following properties:</p>
                      <table class="jsdoc-details-table">
                        <thead>
                          <tr>
                            <th>Name</th>
                            <th>Type</th>
                            <th>Optional</th>
                            <th>Description</th>
                          </tr>
                        </thead>
                        <tbody>
                          <tr>
                            <td>
                              <p>iframe</p>
                            </td>
                            <td>
                              <p>string</p>
                            </td>
                            <td>
                              <p>&nbsp;</p>
                            </td>
                            <td>
                              <p>adres wyświetlanej strony</p>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <p>href</p>
                            </td>
                            <td>
                              <p>string</p>
                            </td>
                            <td>
                              <p>&nbsp;</p>
                            </td>
                            <td>
                              <p>adres, na jaki ma przekierowywać link</p>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <p>target</p>
                            </td>
                            <td>
                              <p>string</p>
                            </td>
                            <td>
                              <p>Yes</p>
                            </td>
                            <td>
                              <p>gdzie ma zostać otwarty link po klinięciu</p>
                              <p>Defaults to <code>_blank</code>.</p>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <p>classNames</p>
                            </td>
                            <td>
                              <p>Array of string</p>
                            </td>
                            <td>
                              <p>Yes</p>
                            </td>
                            <td>
                              <p>dodatkowe klasy dla głównego elementu</p>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <p>style</p>
                            </td>
                            <td>
                              <p>object</p>
                            </td>
                            <td>
                              <p>Yes</p>
                            </td>
                            <td>
                              <p>obiekt ze stylami inline</p>
                            </td>
                          </tr>
                        </tbody>
                      </table>
                    </td>
                  </tr>
                </tbody>
              </table>
            </section>
            <dl class="dl-compact">
              <dt>Extends</dt>
              <dd>Component</dd>
            </dl>
          </section>
          <section>
          </section>
        </div>
      </div>
      <nav id="jsdoc-toc-nav" role="navigation"></nav>
    </div>
  </div>
  <footer id="jsdoc-footer" class="jsdoc-footer">
    <div id="jsdoc-footer-container">
      <p>
        Generated by <a href="https://github.com/jsdoc3/jsdoc">JSDoc</a> 3.6.3 on August 23, 2019.
      </p>
    </div>
  </footer>
  <script src="scripts/jquery.min.js"></script>
  <script src="scripts/jquery.cookie.js"></script>
  <script src="scripts/tree.jquery.js"></script>
  <script src="scripts/prettify.js"></script>
  <script src="scripts/jsdoc-toc.js"></script>
  <script src="scripts/linenumber.js"></script>
  <script src="scripts/scrollanchor.js"></script>
</body>

</html>